import e, { identity as t } from "./decompose.js";
//#region ../../node_modules/d3-interpolate/src/transform/parse.js
var n;
function r(n) {
	let r = new (typeof DOMMatrix == "function" ? DOMMatrix : WebKitCSSMatrix)(n + "");
	return r.isIdentity ? t : e(r.a, r.b, r.c, r.d, r.e, r.f);
}
function i(r) {
	return r == null || (n ||= document.createElementNS("http://www.w3.org/2000/svg", "g"), n.setAttribute("transform", r), !(r = n.transform.baseVal.consolidate())) ? t : (r = r.matrix, e(r.a, r.b, r.c, r.d, r.e, r.f));
}
//#endregion
export { r as parseCss, i as parseSvg };
